Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
auth::RadiusManager::ServerSettings Struct Reference

Server settings. More...

## Public Attributes
string | id
| This field is unused; empty on read, ignored on write.
string | server
| IP or name of the radius servers.
string | sharedSecret
| Shared secret between the Xerus device and the RADIUS server.
int | udpAuthPort
| UDP port for RADIUS Authenticating service.
int | udpAccountPort
| UDP port for RADIUS Accounting service.
int | timeout
| Timeout in seconds.
int | retries
| Number of retries.
AuthType | authType
| Authentication type.
boolean | disableAccounting
| `true` to disable accounting, `false` to enable accounting

## Detailed Description

Server settings.

The documentation for this struct was generated from the following file:

- RadiusManager.idl